package rainbowPackage;

import javafx.scene.paint.Color;

public final class VibrantColors
{
	public static final Color Black = Color.rgb(0,0,0);
	public static final Color Blue = Color.rgb(0,0,192);
	public static final Color BrightBlue = Color.rgb(0,76,255);
	public static final Color Bronze = Color.rgb(152,123,46);
	public static final Color Brown = Color.rgb(131,103,71);
	public static final Color Clear = Color.rgb(0,0,0,0);
	public static final Color ClearMagenta = Color.rgb(255,0,255,0);
	public static final Color ClearNeonGreen = Color.rgb(0,255,0,0);
	public static final Color ClearWhite = Color.rgb(255,255,255,0);
	public static final Color DarkGrey = Color.rgb(74,74,74);
	public static final Color DarkMaroon = Color.rgb(151,18,68);
	public static final Color DarkOrange = Color.rgb(255,68,0);
	public static final Color DarkPink = Color.rgb(167,0,118);
	public static final Color DarkYellow = Color.rgb(123,121,0);
	public static final Color Gold = Color.rgb(205,191,44);
	public static final Color Green = Color.rgb(0,133,50);
	public static final Color HalfGrey = Color.rgb(127,127,127);
	public static final Color LightGrey = Color.rgb(221,221,221);
	public static final Color Lime = Color.rgb(126,193,33);
	public static final Color Magenta = Color.rgb(255,0,255);
	public static final Color Maroon = Color.rgb(151,18,68);//{167,0,118);
	public static final Color NeonGreen = Color.rgb(0,255,0);
	public static final Color NonHotPink = Color.rgb(238,69,141);
	public static final Color Orange = Color.rgb(255,134,0);
	public static final Color OxylBlue = Color.rgb(0,246,255);
	public static final Color OxylBlue0FF = Color.rgb(0,255,255);
	public static final Color Pink = Color.rgb(255,64,143);
	public static final Color PukeGreen = Color.rgb(125,160,50);
	public static final Color Purple = Color.rgb(122,0,178);
	public static final Color Red = Color.rgb(193,0,0);
	public static final Color ShitBrown = Color.rgb(110,82,48);
	public static final Color Silver = Color.rgb(193,192,192);
	public static final Color SimpleBlue = Color.rgb(0,0,255);
	public static final Color SimpleRed = Color.rgb(255,0,0);
	public static final Color SkyBlue = Color.rgb(135,206,250);
	public static final Color Teal = Color.rgb(3,224,149);
	public static final Color White = Color.rgb(255,255,255);
	public static final Color Yellow = Color.rgb(246,252,15);
	public static final ColorSlider BlackColorSlider = new ColorSlider( new double[]{0,0,0} );
	public static final ColorSlider BlueColorSlider = new ColorSlider( new double[]{0,0,192} );
	public static final ColorSlider BrightBlueColorSlider = new ColorSlider( new double[]{0,76,255} );
	public static final ColorSlider BronzeColorSlider = new ColorSlider( new double[]{152,123,46} );
	public static final ColorSlider BrownColorSlider = new ColorSlider( new double[]{131,103,71} );
	public static final TransparencySlider ClearTransparencySlider = new TransparencySlider( new double[]{0,0,0,0} );
	public static final TransparencySlider ClearMagentaTransparencySlider = new TransparencySlider( new double[]{255,0,255,0} );
	public static final TransparencySlider ClearNeonGreenTransparencySlider = new TransparencySlider( new double[]{0,255,0,0} );
	public static final TransparencySlider ClearWhiteTransparencySlider = new TransparencySlider( new double[]{255,255,255,0} );
	public static final ColorSlider DarkGreyColorSlider = new ColorSlider( new double[]{74,74,74} );
	public static final ColorSlider DarkMaroonColorSlider = new ColorSlider( new double[]{151,18,68} );
	public static final ColorSlider DarkOrangeColorSlider = new ColorSlider( new double[]{255,68,0} );
	public static final ColorSlider DarkPinkColorSlider = new ColorSlider( new double[]{167,0,118} );
	public static final ColorSlider DarkYellowColorSlider = new ColorSlider( new double[]{123,121,0} );
	public static final ColorSlider GoldColorSlider = new ColorSlider( new double[]{205,191,44} );
	public static final ColorSlider GreenColorSlider = new ColorSlider( new double[]{0,133,50} );
	public static final ColorSlider HalfGreyColorSlider = new ColorSlider( new double[]{127,127,127} );
	public static final ColorSlider LightGreyColorSlider = new ColorSlider( new double[]{221,221,221} );
	public static final ColorSlider LimeColorSlider = new ColorSlider( new double[]{126,193,33} );
	public static final ColorSlider MagentaColorSlider = new ColorSlider( new double[]{255,0,255} );
	public static final ColorSlider MaroonColorSlider = new ColorSlider( new double[]{151,18,68} );//{167,0,118} );
	public static final ColorSlider NeonGreenColorSlider = new ColorSlider( new double[]{0,255,0} );
	public static final ColorSlider NonHotPinkColorSlider = new ColorSlider( new double[]{238,69,141} );
	public static final ColorSlider OrangeColorSlider = new ColorSlider( new double[]{255,134,0} );
	public static final ColorSlider OxylBlueColorSlider = new ColorSlider( new double[]{0,246,255} );
	public static final ColorSlider OxylBlue0FFColorSlider = new ColorSlider( new double[]{0,255,255} );
	public static final ColorSlider PinkColorSlider = new ColorSlider( new double[]{255,64,143} );
	public static final ColorSlider PukeGreenColorSlider = new ColorSlider( new double[]{125,160,50} );
	public static final ColorSlider PurpleColorSlider = new ColorSlider( new double[]{122,0,178} );
	public static final ColorSlider RedColorSlider = new ColorSlider( new double[]{193,0,0} );
	public static final ColorSlider ShitBrownColorSlider = new ColorSlider( new double[]{110,82,48} );
	public static final ColorSlider SilverColorSlider = new ColorSlider( new double[]{193,192,192} );
	public static final ColorSlider SimpleBlueColorSlider = new ColorSlider( new double[]{0,0,255} );
	public static final ColorSlider SimpleRedColorSlider = new ColorSlider( new double[]{255,0,0} );
	public static final ColorSlider SkyBlueColorSlider = new ColorSlider( new double[]{135,206,250} );
	public static final ColorSlider TealColorSlider = new ColorSlider( new double[]{3,224,149} );
	public static final ColorSlider WhiteColorSlider = new ColorSlider( new double[]{255,255,255} );
	public static final ColorSlider YellowColorSlider = new ColorSlider( new double[]{246,252,15} );

}
